> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# flowAPIs の取得

> 指定したクエリパラメータに一致するレコードを flowAPIs エンティティから返します。パラメータを指定しない場合は、すべてのレコードが返されます。



## OpenAPI

````yaml 26.4/self-hosted/ja/api-reference/openapi.json GET /flowAPIs
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.4.9790.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /flowAPIs:
    get:
      tags:
        - flowAPIs
      summary: flowAPIs の取得
      description: >-
        指定したクエリパラメータに一致するレコードを flowAPIs
        エンティティから返します。パラメータを指定しない場合は、すべてのレコードが返されます。
      operationId: getAllflowAPIs
      parameters:
        - name: $select
          in: query
          schema:
            type: string
          description: 結果に含めるプロパティのカンマ区切りリストです。このフィールドを空のままにすると、すべてのプロパティが返されます。
        - name: $orderby
          in: query
          schema:
            type: string
          description: このプロパティで結果を昇順または降順に並べ替えます。昇順の例：'Name ASC' 降順の例：'Name DESC'
        - name: $top
          in: query
          schema:
            type: integer
          description: 返す結果の件数です。
        - name: $skip
          in: query
          schema:
            type: integer
          description: 結果を返す際にスキップする結果のオフセットです。
        - name: $count
          in: query
          schema:
            type: boolean
          description: 設定すると、実際の結果ではなく結果の件数を返します。
        - name: $filter
          in: query
          schema:
            type: string
          description: >-
            特定のプロパティ値で結果をフィルタリングするために使用します。例えば、名前が 'John'
            のレコードを取得するには、このフィルタを使用できます：$filter=Name eq 'John'
      responses:
        '200':
          description: flowAPIs response
          content:
            application/json:
              schema:
                type: object
                properties:
                  value:
                    type: array
                    items:
                      $ref: '#/components/schemas/flowAPIs'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    flowAPIs:
      type: object
      properties:
        WorkspaceId:
          description: フローAPI を含むワークスペースのId。
          type: string
        Name:
          description: フローAPI の名前。
          type: string
        Method:
          description: フローAPI がサポートするHTTP メソッド。
          type: string
        Description:
          description: フローAPI の説明。
          type: string
        Connectors:
          description: フローAPI に関連付けられたコネクタIdのリスト。
          type: string
        QueryParameters:
          description: クエリパラメータ名のコロン区切りリスト。
          type: string
        BodyType:
          description: HTTP リクエストボディのデータ型。
          type: string
        RequestContentType:
          description: HTTP リクエストのコンテンツタイプ。
          type: string
        RequestBody:
          description: ボディタイプがForm-Data またはx-www-form-urlencoded の場合の、キー名のコロン区切りリスト。
          type: string
        ResponseContentType:
          description: HTTP レスポンスのコンテンツタイプ。
          type: string
        RequestSample:
          description: ボディタイプがRaw の場合のサンプルリクエストデータ。
          type: string
        ResponseSample:
          description: サンプルレスポンスデータ。
          type: string
      required:
        - WorkspaceId
        - Name
        - Method
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.